Download it now!
Bug 92600 - UI: No bold headings in dialogues
Summary: UI: No bold headings in dialogues
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: high normal
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:5.1.0 target:5.0.0
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2015-07-07 16:23 UTC by Gordo
Modified: 2016-10-25 19:21 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (82.06 KB, image/png)
2015-07-07 16:23 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gordo 2015-07-07 16:23:56 UTC
Created attachment 117105 [details]
screenshot

1. New Text Document.
2. Format -> Paragraph -> Indents & Spacing tab.
Result:
Indent, Spacing, Line Spacing, and Register-true headings are not bold.

The screenshot shows 4.4.4.3 on the left and 5.1 on the right.

Windows Vista 64
Version: 5.1.0.0.alpha1+
Build ID: a625cd702700ae1773966a3133d27027d1c4d083
TinderBox: Win-x86@39, Branch:master, Time: 2015-07-07_08:23:06
Comment 1 Cor Nouws 2015-07-07 17:35:05 UTC
Hi Gordo

On Ubuntu 31 bits the problem does not exist. So sorry, I can't confirm.
Comment 2 Adolfo Jayme 2015-07-08 06:27:55 UTC
Confirmed in Windows 8.1 with:

Version: 5.1.0.0.alpha1+ (x64)
Build ID: 0251e61640b94094918406b33ee7b05564409feb
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2015-07-06_23:45:07
Comment 3 Maxim Monastirsky 2015-07-08 07:08:04 UTC
Confirmed under Fedora 22, with master from 10a3db37377a68ec7529bbfbf876c852d58b7ae4
Comment 4 Robinson Tryon (qubit) 2015-07-09 14:15:18 UTC
This definitely looks like a regression, but I don't think it's on the same level as a crasher or data-loss bug, so I'm dropping the priority down to 'high'.
Comment 5 Michael Weghorn 2015-07-17 20:41:27 UTC
bibisect result (using lo-linux-dbgutil-daily repository):

377c024a5d2e365167cea5fa34d015f6a6f1f688 is the first bad commit
commit 377c024a5d2e365167cea5fa34d015f6a6f1f688
Author: Miklos Vajna <vmiklos@collabora.co.uk>
Date:   Sat Jul 4 05:49:55 2015 +0200

    2015-07-04: source-hash-3c45bfb0cabf206f6217f1de9eb5cfa12b78e46f

:100644 100644 8e60510e4acf1e81f25ad8a50920e74b16bc58b3 d323de8fbf0cded112d7ebfd4b83aa64adb0fc84 M	build-info.txt
:040000 040000 bf5557b99977a6cd760e433f389e658deecbbced 07e8f01969254835c3152e92f5b348f790cda9e5 M	opt

---

$ git bisect log
# bad: [6e6e48df3b6eb13cf54223cd1ffac16546ec49c2] 2015-07-17: source-hash-14257152b19c08618a107c6eb0f684de11483da8
# good: [2b392af9c8f54629e3a3a98a8c92fa5af1c6722f] 2015-05-20: source-hash-90e2dabb8d0bb5382234be776c2ad0e2d5d9e224
git bisect start '6e6e48df3b6eb13cf54223cd1ffac16546ec49c2' '2b392af9c8f54629e3a3a98a8c92fa5af1c6722f'
# good: [e48eb783142c667bfdad999f0edb90f8253b0b65] 2015-06-18: source-hash-fb6dd2a73074b9695bd8ddf7ba40f1819b03024e
git bisect good e48eb783142c667bfdad999f0edb90f8253b0b65
# good: [cb936e89eced2812e683a84f67099ff12eb97245] 2015-07-02: source-hash-c18f11587d37f285a95447dd8996c8b605732e00
git bisect good cb936e89eced2812e683a84f67099ff12eb97245
# bad: [02f749eef951ff74ff6184cd0c5c13cc6e97f915] 2015-07-09: source-hash-85ce6a2446deb0f4c01604b6188f969603de9b16
git bisect bad 02f749eef951ff74ff6184cd0c5c13cc6e97f915
# bad: [c0f95bb052946f1ba1502b88b715e4b54e795eeb] 2015-07-05: source-hash-67afab2a7cd5596d321bb85e6e2624df19c2296b
git bisect bad c0f95bb052946f1ba1502b88b715e4b54e795eeb
# bad: [377c024a5d2e365167cea5fa34d015f6a6f1f688] 2015-07-04: source-hash-3c45bfb0cabf206f6217f1de9eb5cfa12b78e46f
git bisect bad 377c024a5d2e365167cea5fa34d015f6a6f1f688
# good: [7bd825aad056bcce5f3f9bb66639c38a9c817ff9] 2015-07-03: source-hash-9583020ae4d20c1cccbe5157f51512cbb5c5d494
git bisect good 7bd825aad056bcce5f3f9bb66639c38a9c817ff9
# first bad commit: [377c024a5d2e365167cea5fa34d015f6a6f1f688] 2015-07-04: source-hash-3c45bfb0cabf206f6217f1de9eb5cfa12b78e46f
Comment 6 Commit Notification 2015-07-22 15:09:34 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=94ceda8b2fea37587424b664e17fa9ee8b01e158

tdf#92600: Restore ability to apply font settings to controls

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-07-22 21:07:14 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e92a8b92072284fd7c37d7bb3e1e8fe72a185f35

tdf#92600 fix missing font preview in character set widget

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-07-23 09:07:23 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=21afa91c527297a322d29722af05e1410faae41d&h=libreoffice-5-0

tdf#92600: Restore ability to apply font settings to controls

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-07-23 10:55:32 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=783e8d83b6c4dec7fcc0dcb8aeba705c16b3bd8e&h=libreoffice-5-0-0

tdf#92600: Restore ability to apply font settings to controls

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 09:18:09 UTC Comment hidden (obsolete)